import request from '@/utils/request'

// 查询出库单历史列表
export function listAppPmsOrderOutbak(query) {
  return request({
    url: '/system/appPmsOrderOutbak/list',
    method: 'get',
    params: query
  })
}

// 查询出库单历史详细
export function getAppPmsOrderOutbak(recordId) {
  return request({
    url: '/system/appPmsOrderOutbak/' + recordId,
    method: 'get'
  })
}

// 新增出库单历史
export function addAppPmsOrderOutbak(data) {
  return request({
    url: '/system/appPmsOrderOutbak',
    method: 'post',
    data: data
  })
}

// 修改出库单历史
export function updateAppPmsOrderOutbak(data) {
  return request({
    url: '/system/appPmsOrderOutbak',
    method: 'put',
    data: data
  })
}

// 删除出库单历史
export function delAppPmsOrderOutbak(recordId) {
  return request({
    url: '/system/appPmsOrderOutbak/' + recordId,
    method: 'delete'
  })
}
